Package org.apache.sling.scripting.sightly.impl.engine.extension

# Class URIManipulationFilterExtension

java.lang.Object
org.apache.sling.scripting.sightly.impl.engine.extension.URIManipulationFilterExtension

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.extension.RuntimeExtension`

public class URIManipulationFilterExtension extends Object implements org.apache.sling.scripting.sightly.extension.RuntimeExtension

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD_QUERY`
`static final String`
`ADD_SELECTORS`
`static final String`
`APPEND_PATH`
`static final String`
`APPEND_SUFFIX`
`static final String`
`DOMAIN`
`static final String`
`EXTENSION`
`static final String`
`FRAGMENT`
`static final String`
`PATH`
`static final String`
`PREPEND_PATH`
`static final String`
`PREPEND_SUFFIX`
`static final String`
`QUERY`
`static final String`
`REMOVE_QUERY`
`static final String`
`REMOVE_SELECTORS`
`static final String`
`SCHEME`
`static final String`
`SELECTORS`
`static final String`
`SUFFIX`

### Fields inherited from interface org.apache.sling.scripting.sightly.extension.RuntimeExtension

`FORMAT, I18N, INCLUDE, JOIN, NAME, RESOURCE, URI_MANIPULATION, USE, XSS`

## Constructor Summary

Constructors
Constructor
Description
`URIManipulationFilterExtension()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(org.apache.sling.scripting.sightly.render.RenderContext renderContext, Object... arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCHEME

public static final String SCHEME

See Also:
  - Constant Field Values

### DOMAIN

public static final String DOMAIN

See Also:
  - Constant Field Values

### PATH

public static final String PATH

See Also:
  - Constant Field Values

### APPEND_PATH

public static final String APPEND_PATH

See Also:
  - Constant Field Values

### PREPEND_PATH

public static final String PREPEND_PATH

See Also:
  - Constant Field Values

### SELECTORS

public static final String SELECTORS

See Also:
  - Constant Field Values

### ADD_SELECTORS

public static final String ADD_SELECTORS

See Also:
  - Constant Field Values

### REMOVE_SELECTORS

public static final String REMOVE_SELECTORS

See Also:
  - Constant Field Values

### EXTENSION

public static final String EXTENSION

See Also:
  - Constant Field Values

### SUFFIX

public static final String SUFFIX

See Also:
  - Constant Field Values

### PREPEND_SUFFIX

public static final String PREPEND_SUFFIX

See Also:
  - Constant Field Values

### APPEND_SUFFIX

public static final String APPEND_SUFFIX

See Also:
  - Constant Field Values

### FRAGMENT

public static final String FRAGMENT

See Also:
  - Constant Field Values

### QUERY

public static final String QUERY

See Also:
  - Constant Field Values

### ADD_QUERY

public static final String ADD_QUERY

See Also:
  - Constant Field Values

### REMOVE_QUERY

public static final String REMOVE_QUERY

See Also:
  - Constant Field Values

## Constructor Details

### URIManipulationFilterExtension

public URIManipulationFilterExtension()

## Method Details

### call

public Object call(org.apache.sling.scripting.sightly.render.RenderContext renderContext, Object... arguments)

Specified by:
  `call` in interface `org.apache.sling.scripting.sightly.extension.RuntimeExtension`